<nz-spin [nzSpinning]="isLoading">
    <form nz-form [formGroup]="form" (submit)="createNewGroup()">
        <nz-form-item>
            <nz-form-label [nzSpan]="6" nzFor="email">{{'Citizen.Citi' | translate}}</nz-form-label>
            <nz-form-control [nzSpan]="14">
                <nz-select nzPlaceHolder="{{'Social.Community.selectUser' | translate}}" nzAllowClear nzShowSearch nzServerSearch style="width: 100%"
                    formControlName="targetEntityId" (ngModelChange)="onSelect($event)" (nzOnSearch)="onSearch($event)">
                    <ng-container *ngFor="let o of optionsList">
                        <nz-option *ngIf="!isLoadingUsers" [nzValue]="o.id" [nzHide]="isSelected(o.id)"
                            [nzLabel]="o.name"></nz-option>
                    </ng-container>
                    <nz-option *ngIf="isLoadingUsers" nzDisabled nzCustomContent>
                        <i nz-icon nzType="loading" class="loading-icon"></i> 
                    </nz-option>
                </nz-select>
            </nz-form-control>
        </nz-form-item>
        <nz-form-item>
            <nz-form-label [nzSpan]="6" nzFor="email">{{'Social.Community.Message' | translate }}</nz-form-label>
            <nz-form-control [nzSpan]="14">
                <textarea rows="4" nz-input formControlName="content"></textarea>
            </nz-form-control>
        </nz-form-item>
        <nz-form-control style="text-align: center;">
            <button nz-button nzType="primary" type="submit" nzShape="round">{{'Social.Community.SendMessage' | translate}}</button>
        </nz-form-control>
    </form>
</nz-spin>